Debian z blobami

Strona głównaDebian z blobami
08.01.2009 04:24
Grzegorz Niemirowski
Grzegorz Niemirowski

Kontrowersyjne głosowanie nad włączeniem do jądra zamkniętychsterowników przybliżyło twórców dystrybucji Debian do wydaniawersji 5, znanej pod kodową nazwą Lenny. Problem dotyczy tzw. blobów zawierających zamknięte, binarnesterowniki dostarczane przez producentów sprzętu. Debian znany jestz dużo bardziej ideologicznego podejścia do otwartości niż innedystrybucje. Przykładowo w Ubuntu podejście jest pragmatyczne:lepszy zamknięty sterownik niż jego brak. W przypadku Debiana niejest to takie oczywiste. Ostatnio rozgorzała dyskusja czy jądro wtej dystrybucji powinno zostać wyczyszczone z blobów w celuuczynienia jej jak najbardziej otwartą. Spowodowałoby to jednak nietylko problemy z dostępnością sterowników ale także groziłobyopóźnieniami w wydaniu Lennego. Zdecydowano się więc na głosowanie przeprowadzone metodą Condorceta z sekwencyjnym odrzucaniem Schwartza. Głosowanieprzeprowadził Manoj Srivastava, sekretarz Debiana. Krótko pogłosowaniu zrezygnował ze swojej funkcji ze względu na wysuwane wstosunku do niego zarzuty o nadużywanie uprawnień. Chodzi bowiem ozasadę, że w przypadku propozycji stojących w ostrej sprzeczności zzałożeniami projektu muszą one być przegłosowane nie zwykłąwiększością ale w stosunku 3 do 1. Srivastava jest oskarżany o to,że stosował tę zasadę wtedy gdy głosowano nad ustaleniami, które musię nie podobały. Ostatecznie w wyniku głosowania zdecydowano, że wypuszczenie nowejwersji jest ważniejsze od walki z binarnymi sterownikami. Była onaspodziewana w drugiej połowie 2008. Debian jest jednak znany zesporych opóźnień i prawie zawsze pojawiają się duże spory przedsamą premierą, które ją jeszcze przeciągają. Ponadto Debian takbardzo stawia na stabilność, że zawiera często dosyć wiekowe wersjeoprogramowania. Przykładowo GNOME będzie w wersji 2.22, która byławersją przejściową i nie zawierała wszystkich funkcji z 2.24.Debian jednak nie włączy funkcjonalności z 2.24 i zamiast GIOpozostanie przy starym gnome-vfs. W nowym Debianie będzie teżOpenOffice.org 2.4 zamiast 3.0. Mimo to jednak będzie dostępnaobsługa plików OOXML gdyż Debian używa gałęzi opracowywanej przezfirmę Novell. Pełną listę nowości w Lennym można znaleźć na oficjalnejstronie.

Udostępnij:
Wybrane dla Ciebie
Komentarze (45)